Jump to content

IWD2 Tweak Pack + Weimer's IWD 2 Ease of Use?


Thrasher91604

Recommended Posts

More than a year and still nobody answered this question, and I'd like it answer too. Are those two mods compatible? What's the proper installation order?

Link to post
More than a year and still nobody answered this question, and I'd like it answer too. Are those two mods compatible? What's the proper installation order?

 

It probably doesn't matter, but a good rule of thumb is (a) install older mods first, so do Weimer before G3; (b) use newer components where possible, so if there's a feature in both Ease-of-Use and G3 Tweaks, use the Tweaks one.

Link to post

When I made IWD2Tweaks, I took the highly unintuitive strategy of converting all BG2/IWDTweaks components to IWD2, if it is applicable to IWD2 AND IWD2Ease doesn't have said component, OR IWD2Ease's component uses compatibility-averse coding. As such, you can install both IWD2Ease and IWD2Tweaks (in that order). When installing IWD2Ease, skip components that have an equivalent one in IWD2Tweaks, because the latter is likely more reliable.

One issue is that the 'Random Items' component of IWD2Ease is buggy as hell and should never be installed (unless you want your game to crash every three areas); furthermore, a number of WeiDU versions can't install IWD2Ease at all because of a grammar issue; the latest available 210.00 is compatible with IWD2Ease, so you can simply update that (Download weidu from http://www.weidu.org/~thebigg and from the archive extract weidu.exe; copy it to your BG2 directory and rename it to setup-210.exe, then proceed installing mods as usual).

 

When I will want to play IWD2NPCs (har har har), I'll likely make it like the BG2 solution (so that IWD2Ease is completely obsoleted by IWD2Tweaks, and there won't be need to install IWD2Ease at all).

Link to post

As the bigg said, they are compatible if you follow that pattern.

 

Only real issue I've noticed with IWD2 mods is that the CoM Store breaks Ease of Use (and makes normal uninstalling impossible). This has been reported already, I'm guessing it'll be fixed for CoM Store's next version.

 

In order to have them both and avoid problems, install CoM store first and then Ease of Use, and update both Weidu versions manually.

Link to post

LOL!

 

A year ago when the world was a more pleasant place (but awfully quiet).... I think I played through IWD2 without any significant issues using the install order I described above (Tweak then Ease of Use). But then I specifically did not install overlapping features from Ease of Use, I believe.

Link to post
As the bigg said, they are compatible if you follow that pattern.

 

Only real issue I've noticed with IWD2 mods is that the CoM Store breaks Ease of Use (and makes normal uninstalling impossible). This has been reported already, I'm guessing it'll be fixed for CoM Store's next version.

 

In order to have them both and avoid problems, install CoM store first and then Ease of Use, and update both Weidu versions manually.

How is that? All that mod does is add in a new store.

Link to post
How is that? All that mod does is add in a new store.

I wouldn't know exactly how, I'm far from being a Weidu ninja, but it does happen. Redrake even reported it before I did. If you don't believe me, just try it for yourself.

Link to post

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...